/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - g3
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`g3` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `g3`;

/*Table structure for table `klijent` */

DROP TABLE IF EXISTS `klijent`;

CREATE TABLE `klijent` (
  `KlijentID` int(11) NOT NULL,
  `Ime` varchar(255) DEFAULT NULL,
  `Prezime` varchar(255) DEFAULT NULL,
  `Telefon` varchar(50) DEFAULT NULL,
  `ElPosta` varchar(50) DEFAULT NULL,
  `Adresa` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`KlijentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `klijent` */

insert  into `klijent`(`KlijentID`,`Ime`,`Prezime`,`Telefon`,`ElPosta`,`Adresa`) values (1,'Marko','Markovic','0113950800','test1@fon.rs','Adresa 1'),(2,'Jovana','Jovanic','0113950801','test2@fon.rs','Adresa 2');

/*Table structure for table `posao` */

DROP TABLE IF EXISTS `posao`;

CREATE TABLE `posao` (
  `PosaoID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  `Datum` date DEFAULT NULL,
  `Notar` varchar(50) DEFAULT NULL,
  `KlijentID` int(11) DEFAULT NULL,
  `VrstaPoslaID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PosaoID`),
  KEY `KlijentID` (`KlijentID`),
  KEY `VrstaPoslaID` (`VrstaPoslaID`),
  CONSTRAINT `posao_ibfk_1` FOREIGN KEY (`KlijentID`) REFERENCES `klijent` (`KlijentID`),
  CONSTRAINT `posao_ibfk_2` FOREIGN KEY (`VrstaPoslaID`) REFERENCES `vrstaposla` (`VrstaPoslaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `posao` */

/*Table structure for table `vrstaposla` */

DROP TABLE IF EXISTS `vrstaposla`;

CREATE TABLE `vrstaposla` (
  `VrstaPoslaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`VrstaPoslaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `vrstaposla` */

insert  into `vrstaposla`(`VrstaPoslaID`,`Naziv`) values (1,'Overa i izdavanje javne isprave'),(2,'Overa privatne isprave'),(3,'Cuvanje isprave, novca i drugih predmeta'),(4,'Ostalo');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
